

rm(list=ls())

library("ggplot2")

setwd("C:/Users/Victor/Documents/TFG/r-analytics-master/harmonised_data")

Treatments <-  data.frame(read.csv("Treatment.csv", sep=";"))[1:32,1:5]
descriptions <- Treatments[, c(1,3)]
rownames(descriptions) <- descriptions$Harmonised.variable.name
Treatments <- Treatments$Harmonised.variable.name

setwd("C:/Users/victor/Documents/TFG/r-analytics-master")


source("dependency_installer.R")
source("connection_parameters.R")
source("necessary_functions_treatments_heatmap.R")

dep_list = c("DSI","DSOpal","DSLite", "ggplot2", "dsBaseClient")
install_dependencies(dep_list)


#Create the connection
auxConnections <- connect()
connections <- auxConnections[[1]]
inp <- auxConnections[[2]]


get_treatments_map(connections, inp)



ds.colnames("data")
